Subject: Re: [dns-privacy] Alissa Cooper's Discuss on draft-ietf-dprive-bcp-op-10: (with DISCUSS)

From: Sara Dickinson <[email-masked]>
Date: Wed, 1 Jul 2020 10:00:38 +0100

> On 28 Jun 2020, at 19:44, Alissa Cooper via Datatracker <[email-masked]> wrote:
> 
> Alissa Cooper has entered the following ballot position for
> draft-ietf-dprive-bcp-op-10: Discuss
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> Trimmed to the one outstanding point from my original DISCUSS:
> 
> I do not think item #5 in Section 6.1.2 belongs in this document. I don't see
> how it is within scope for the IETF to be specifying these sorts of best
> practices, which are not technical or operational in nature but focus on legal
> matters and likely require the involvement of lots of lawyers in order to get
> the provisions written. This section implies that the DROP documents would
> become legal/compliance documents by nature, which may or may not be a good
> choice but is not within the remit of the IETF to specify. Also, I think what
> this section asks for is not the norm today and therefore it seems odd for the
> IETF to specify a best practice that operators may not have any chance of being
> able to comply with (e.g., listing specific law enforcement agencies, privacy
> laws, or countries where data centers will reside and the data will never move
> from them).

After discussion amongst the authors, we are very keen to at least retain a placeholder within the DROP statement so that readers can easily access any complimentary documents that do deal with such matters. We would like to propose replacing item 5 with the following text: 

“5. Data Processing. This section can optionally communicate links to and the high level contents of any separate statements the operator has published which cover applicable data processing legislation or agreements with regard to the location(s) of service provision. "

Best regards

Sara.

---

From: Brian Haberman <[email-masked]>
Date: Wed, 1 Jul 2020 09:09:14 -0400

Hi Sara,

> “5. Data Processing. This section can optionally communicate links to and the high level contents of any separate statements the operator has published which cover applicable data processing legisl…

So, the intent is to specify a place for providers to make optional
statements relevant to their operations, correct? If so, that seems
reasonable to me.

Alissa?

I would suggest making sure the example in the Appendix aligns with this
change.

Regards,
Brian

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 1 Jul 2020 10:02:18 -0400

> On Jul 1, 2020, at 9:09 AM, Brian Haberman <[email-masked]> wrote:
> 
> Hi Sara,
> 

WFM. Thanks!
Alissa

---

From: Sara Dickinson <[email-masked]>
Date: Thu, 2 Jul 2020 10:22:24 +0100

Hi All, 

Version -11 has the following changes which I hope address Alissa’s DISCUSS and Ben’s most recent comments:

* Rework text of 6.1.2. item 5 and update example DROP
* Improve text around use of normative language
* Fix section 5.1.3.2 bullets
* Improve text in 6.1.2. item 2.
* Various editorial improvements

Best regards

Sara. 

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the DNS PRIVate Exchange WG of the IETF.
> 
>         Title           : Recommendations for DNS Privacy Service Operators
>         Authors      : Sara Dickinson
>                           Benno J. Overeinder
>                           Roland M. van Rijswijk-Deij
>                           Allison Mankin
> 	Filename     : draft-ietf-dprive-bcp-op-11.txt
> 	Pages          : 44
> 	Date            : 2020-07-02
> 
> Abstract:
>    This document presents operational, policy, and security
>    considerations for DNS recursive resolver operators who choose to
>    offer DNS Privacy services.  With these recommendations, the operator
>    can make deliberate decisions regarding which services to provide,
>    and how the decisions and alternatives impact the privacy of users.
> 
>    This document also presents a non-normative framework to assist
>    writers of a DNS Recursive Operator Privacy Statement (analogous to
>    DNS Security Extensions (DNSSEC) Policies and DNSSEC Practice
>    Statements described in RFC6841).
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-dprive-bcp-op/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-dprive-bcp-op-11
> https://datatracker.ietf.org/doc/html/draft-ietf-dprive-bcp-op-11
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-dprive-bcp-op-11
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at 
> tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/